aboutsummaryrefslogtreecommitdiff
path: root/contrib/extraction/test/extract.haskell
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/extraction/test/extract.haskell')
-rwxr-xr-xcontrib/extraction/test/extract.haskell13
1 files changed, 13 insertions, 0 deletions
diff --git a/contrib/extraction/test/extract.haskell b/contrib/extraction/test/extract.haskell
new file mode 100755
index 0000000000..ef98a62ed7
--- /dev/null
+++ b/contrib/extraction/test/extract.haskell
@@ -0,0 +1,13 @@
+#!/bin/sh
+rm -f /tmp/extr$$.v
+vfile=`./hs2v $1`
+d=`dirname $vfile`
+n=`basename $vfile .v`
+cat custom/all > /tmp/extr$$.v
+if [ -e custom/$n ]; then cat custom/$n >> /tmp/extr$$.v; fi
+echo "Cd \"$d\". Haskell Extraction Module $n. " >> /tmp/extr$$.v
+../../../bin/coqtop.opt -silent -batch -require $n -load-vernac-source /tmp/extr$$.v
+out=$?
+rm -f /tmp/extr$$.v
+exit $out
+